// Copyright 2007, 2008, 2009 Ian Horswill
// This file is part of Twig.
//
// Twig is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as 
// published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
// Twig is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Twig.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;
using Twig;

namespace ServerTest
{
    /// <summary>
    /// This is the main type for your game
    /// </summary>
    public class ServerTest : TwigGame
    {
        protected override void InitializeTwigObjects()
        {
            Components.Add(new Camera(this, "camera"));
            Components.Add(new GroundPlane(this));
            InstallStandardDebuggingComponents();
            TwigServer s = new TwigServer(this);
            Components.Add(s);
#if notdef
            // This doesn't actually work well because of threading issues
            s.TraceMessage += delegate(string message)
            {
                try
                {
                    this.Window.Title = message;
                }
                catch
                {
                }
            };
#endif
        }
    }
}
