// Copyright 2007, 2008, 2009 Ian Horswill
// This file is part of Twig.
//
// Twig is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as 
// published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
// Twig is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Twig.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Diagnostics;

namespace Twig
{
    [Conditional("DEBUG")]
    [AttributeUsage(AttributeTargets.Field | AttributeTargets.Property)]
    class DebugSwitchAttribute : Attribute
    {
        /// <summary>
        /// User-readable description of the function of this switch
        /// </summary>
        public string description;
        /// <summary>
        /// Declares that this field or property is a debugging switch
        /// </summary>
        public DebugSwitchAttribute(string description)
        {
            this.description = description;
        }
    }
}
