﻿// Copyright 2007, 2008, 2009 Ian Horswill
// This file is part of Twig.
//
// Twig is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as 
// published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
// Twig is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Twig.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Twig
{
    /// <summary>
    /// A table with a simple box for its collision volume
    /// </summary>
    public class SimpleTable : BoxModelSupportingSurface
    {
        /// <summary>
        /// Make a table with a simple box for its collision volume
        /// </summary>
        public SimpleTable(TwigGame g, string name, Model m, Vector3 bottomCenter)
            : base(g, name, m, bottomCenter)
        {
        }

        /// <summary>
        /// Make a table with a simple box for its collision volume
        /// </summary>
        public SimpleTable(TwigGame g, string name, string modelName, Vector3 bottomCenter)
            : this(g, name, g.Content.Load<Model>(modelName), bottomCenter)
        { }
    }
}
